Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_Supplier Class Reference

Base Wrappers for Suppliers that connect to the EventChannel. More...

`#include <Supplier.h>`

Inheritance diagram for TAO_NS_Supplier:

[legend]
Collaboration diagram for TAO_NS_Supplier:

[legend]
List of all members.

## Public Methods
| TAO_NS_Supplier (TAO_NS_ProxyConsumer *proxy)
| Constuctor. More...
| ~TAO_NS_Supplier ()
| Destructor. More...
TAO_NS_ProxyConsumer * | proxy_consumer (void)
| Access Specific Proxy. More...
virtual TAO_NS_Proxy * | proxy (void)
| Access Base Proxy. More...
## Protected Methods
virtual void | dispatch_updates_i (const CosNotification::EventTypeSeq &added, const CosNotification::EventTypeSeq &removed ACE_ENV_ARG_DECL)
| Dispatch updates implementation. More...
## Protected Attributes
TAO_NS_ProxyConsumer * | proxy_
| The proxy that we associate with. More...
CosNotifyComm::NotifySubscribe_var | subscribe_
| Interface that accepts subscription_changes. More...

## Detailed Description

Base Wrappers for Suppliers that connect to the EventChannel.

## Constructor & Destructor Documentation

TAO_NS_Supplier::TAO_NS_Supplier | ( | TAO_NS_ProxyConsumer * | proxy | ) |

| Constuctor.

TAO_NS_Supplier::~TAO_NS_Supplier | ( |  | ) |

| Destructor.

## Member Function Documentation

void TAO_NS_Supplier::dispatch_updates_i | ( | const CosNotification::EventTypeSeq & | added,
|  | const CosNotification::EventTypeSeq &removed | ACE_ENV_ARG_DECL
| ) | `[protected, virtual]`

| Dispatch updates implementation. Reimplemented from TAO_NS_Peer.

TAO_NS_Proxy * TAO_NS_Supplier::proxy | ( | void |  | ) | `[virtual]`

| Access Base Proxy. Reimplemented from TAO_NS_Peer.

TAO_NS_ProxyConsumer* TAO_NS_Supplier::proxy_consumer | ( | void |  | ) |

| Access Specific Proxy.

## Member Data Documentation

TAO_NS_ProxyConsumer* TAO_NS_Supplier::proxy_`[protected]`

| The proxy that we associate with.

CosNotifyComm::NotifySubscribe_var TAO_NS_Supplier::subscribe_`[protected]`

| Interface that accepts subscription_changes.

The documentation for this class was generated from the following files:

- Supplier.h
- Supplier.cpp